# Changelog

All changes to this project will be documented in this file.

The format is based on [Keep a Changelog](https://keepachangelog.com/en/1.0.0/),
and this project adheres to [Semantic Versioning](https://semver.org/spec/v2.0.0.html).

## [Unreleased]

### Added

### Changed

### Deprecated

### Removed

### Fixed

### Security

## [7.6.11] - 2021-04-06

### Changed

- `getReviewKiData` and `getReviewKiStatistics` were moved to separate components
- AIE and SME audit flow logic for action buttons was added
- AIE and SME audit flow logic for progress bar was updated

## [7.6.0] - 2021-02-17

### Removed

- `Dashboard` components

## [7.5.0] - 2021-01-05

### Added

- `DatePicker` component with sub-components `PredefinedDates`, `TimeControl`
  and global styles `datePicker` moved from lib css

### Changed

- global styles were split into `common`, `toast` and `datePicker` files

## [7.4.6] - 2020-10-22

### Changed

- `MenuItem` component: noPaddingX and noPaddingY attributes were added

### Added

- `Label` component

## [7.4.1] - 2020-10-14

### Changed

- `CodeEditor` component: theme styles for autocomplete dropdown were modified
- `Dropdown` component: `caret` icon in dropdown trigger was modified, animation to open/close state for this `caret` icon was added

## [7.4.0] - 2020-10-09

### Added

- `Toast` component is added

### Changed

- `CodeEditor` component:
  - `completers` prop was added
  - check for deep comparison of `variables` props was added
  - story with completers was modified

## [7.3.0] - 2020-10-05

### Added

- `CodeEditor` component was added (`variables` prop can be passed to highlight KI variables)

## [7.2.2] - 2020-08-03

### Added

- `InfoTooltip` component as a separate component: Tooltip with Info icon is widely used in dashboard.

### Changed

- `useOnClickOutside` hook was updated to use generic type.
- `Tooltip` component: pass Popover content as `data` prop, allow children for Tooltip.
- `Dropdown` min-width.

## [7.2.1] - 2020-07-31

### Removed

- `kat-nlp` (moved to KAT)

## [7.2.0] - 2020-07-21

### Added

- `Dropdown` sub-components with default styles: `Dropdown.ListWrapper`, `Dropdown.Item`, `Dropdown.Checkbox`,
  `Dropdown.Trigger`, `Dropdown.Divider`.

### Changed

- `Dropdown` component: logic of opening/closing a list, activating dropdown items,
  checking multi items is moved outside the component; custom dropdown trigger and
  dropdown list content are passed as `trigger` and `children` properties accordingly.
  (Incompatible with the previous Dropdown version)
- `Dropdown.stories`
- `Dropdown` in `AppDropdown` component.
- `Dropdown` in dashboard `StatisticsBar` component.

## [7.1.21] - 2020-04-23

### Added

- Added `isLoaded` callback to LazyList and LazyTable with number of items.

### Changed

- Renamed `onLoaded` prop for LazyList and LazyTable to `registerScrollableList`.

### Fixed

- Dashboard fixes: Progress bar and Session data

### Security

## [7.1.20] - 2020-04-23

### Added

- Add width prop to Tooltip and Popover with default.

### Changed

- ProgressIndicator button now fluid.

### Fixed

- Fixed box styling in Dashboard Welcome widget having to wide of a target.

## [7.1.19] - 2020-04-22

### Added

- Add changelog.

## [7.1.18] - 2020-04-22

### Added

- Add left padding to Icon by default.

### Changed

- Adjust whitespace for Popup content.
- Increase padding between Dropdown arrow and content.

### Fixed

- Fix dropdown input clear button showing when no selection.
