import React from 'react';
import styled from 'styled-components';
import { Tooltip } from "../Tooltip";
var AvatarImg = styled.img.withConfig({ displayName: "AvatarImg", componentId: "sc-rdi8xu" })(function (_a) {
    var grayedOut = _a.grayedOut;
    return ({
        width: 'inherit',
        height: 'inherit',
        borderRadius: '50%',
        filter: grayedOut ? 'grayscale(100%) brightness(0.94)' : undefined,
    });
});
export var Avatar = function (_a) {
    var avatar = _a.avatar, grayedOut = _a.grayedOut, label = _a.label, tooltip = _a.tooltip;
    var image = function (grayedOut) { return (React.createElement(AvatarImg, { alt: label, src: avatar, grayedOut: grayedOut })); };
    return tooltip ? (React.createElement(Tooltip, { placing: "top", data: label, offset: 8 }, image(grayedOut))) : (image(grayedOut));
};
