import styled from 'styled-components';
import defaultTheme from "../../theme";
import { sm, md, lg, xl, textAlign } from "../../utils";
/**
 * Simple responsive container for app content
 */
export var Container = styled.div.withConfig({ displayName: "Container", componentId: "sc-1wyql4" })({
    display: 'block',
    maxWidth: '100%',
}, function (_a) {
    var stretched = _a.stretched;
    return stretched
        ? { height: '100%', display: 'flex', flexDirection: 'column' }
        : null;
}, function (props) {
    var _a;
    var fluid = props.fluid, theme = props.theme;
    if (fluid) {
        return { width: '100%' };
    }
    var width = theme.sizes.width;
    return _a = {},
        _a[sm(props)] = {
            marginLeft: '2rem',
            marginRight: '2rem',
            width: width.sm ? width.sm + "px" : 'auto',
        },
        _a[md(props)] = {
            width: width.md ? width.md + "px" : 'auto',
            marginLeft: 'auto',
            marginRight: 'auto',
        },
        _a[lg(props)] = {
            width: width.lg ? width.lg + "px" : 'auto',
            marginLeft: 'auto',
            marginRight: 'auto',
        },
        _a[xl(props)] = {
            width: width.xl ? width.xl + "px" : 'auto',
            marginLeft: 'auto',
            marginRight: 'auto',
        },
        _a;
}, textAlign);
Container.defaultProps = {
    theme: defaultTheme,
};
