import React from 'react';
export declare type Resize = 'none' | 'both' | 'horizontal' | 'vertical' | 'initial' | 'inherit';
export declare type TextareaProps = React.DetailedHTMLProps<React.TextareaHTMLAttributes<HTMLTextAreaElement>, HTMLTextAreaElement> & {
    fluid?: boolean;
    fitted?: boolean;
    error?: string;
    highlighted?: boolean;
    rounded?: 'left' | 'none' | 'right';
    resize?: Resize;
    plain?: boolean;
    minRows?: number;
    maxRows?: number;
    onChange?: (event: React.ChangeEvent<HTMLTextAreaElement>) => void;
};
interface TextareaHandles {
    focus: () => void;
}
export declare const StyledTextarea: import("styled-components").StyledComponent<"textarea", import("styled-components").DefaultTheme, React.ClassAttributes<HTMLTextAreaElement> & React.TextareaHTMLAttributes<HTMLTextAreaElement> & {
    fluid?: boolean | undefined;
    fitted?: boolean | undefined;
    error?: string | undefined;
    highlighted?: boolean | undefined;
    rounded?: "none" | "left" | "right" | undefined;
    resize?: Resize | undefined;
    plain?: boolean | undefined;
    minRows?: number | undefined;
    maxRows?: number | undefined;
    onChange?: ((event: React.ChangeEvent<HTMLTextAreaElement>) => void) | undefined;
}, never>;
export declare const Textarea: React.ForwardRefExoticComponent<Pick<TextareaProps, "highlighted" | "key" | "rounded" | "error" | "resize" | keyof React.TextareaHTMLAttributes<HTMLTextAreaElement> | "fitted" | "fluid" | "plain" | "minRows" | "maxRows"> & React.RefAttributes<TextareaHandles>>;
export {};
