var __makeTemplateObject = (this && this.__makeTemplateObject) || function (cooked, raw) {
    if (Object.defineProperty) { Object.defineProperty(cooked, "raw", { value: raw }); } else { cooked.raw = raw; }
    return cooked;
};
import React from 'react';
import styled, { keyframes, css } from 'styled-components';
import defaultTheme from "../../theme";
import { Dimmer } from '../Dimmer';
var rotate = keyframes(templateObject_1 || (templateObject_1 = __makeTemplateObject(["\n  from {\n    transform: rotate(0deg);\n  }\n\n  to {\n    transform: rotate(360deg);\n  }\n"], ["\n  from {\n    transform: rotate(0deg);\n  }\n\n  to {\n    transform: rotate(360deg);\n  }\n"])));
var Spinner = styled.div.withConfig({ displayName: "Spinner", componentId: "sc-15c5mmh" })(templateObject_2 || (templateObject_2 = __makeTemplateObject(["\n  width: 2em;\n  height: 2em;\n  font-size: 1em;\n  position: relative;\n\n  &::before {\n    position: absolute;\n    content: '';\n    top: 0;\n    left: 0;\n    width: 100%;\n    height: 100%;\n    border-color: ", ";\n    border-radius: 500rem;\n    border-style: solid;\n    border-width: 0.2em;\n    box-shadow: 0 0 0 1px transparent;\n    box-sizing: border-box;\n  }\n\n  &::after {\n    position: absolute;\n    content: '';\n    top: 0;\n    left: 0;\n    width: 100%;\n    height: 100%;\n    animation: ", " 0.6s linear;\n    animation-iteration-count: infinite;\n    border-color: ", "\n      transparent transparent;\n    border-radius: 500rem;\n    border-style: solid;\n    border-width: 0.2em;\n    box-shadow: 0 0 0 1px transparent;\n    box-sizing: border-box;\n  }\n"], ["\n  width: 2em;\n  height: 2em;\n  font-size: 1em;\n  position: relative;\n\n  &::before {\n    position: absolute;\n    content: '';\n    top: 0;\n    left: 0;\n    width: 100%;\n    height: 100%;\n    border-color: ",
    ";\n    border-radius: 500rem;\n    border-style: solid;\n    border-width: 0.2em;\n    box-shadow: 0 0 0 1px transparent;\n    box-sizing: border-box;\n  }\n\n  &::after {\n    position: absolute;\n    content: '';\n    top: 0;\n    left: 0;\n    width: 100%;\n    height: 100%;\n    animation: ", " 0.6s linear;\n    animation-iteration-count: infinite;\n    border-color: ",
    "\n      transparent transparent;\n    border-radius: 500rem;\n    border-style: solid;\n    border-width: 0.2em;\n    box-shadow: 0 0 0 1px transparent;\n    box-sizing: border-box;\n  }\n"])), function (_a) {
    var theme = _a.theme, inverted = _a.inverted;
    return theme.greyscale[inverted ? 'darkest' : 'dark'];
}, rotate, function (_a) {
    var theme = _a.theme, inverted = _a.inverted;
    return theme.colors[inverted ? 'white' : 'primaryText'].default;
});
Spinner.defaultProps = {
    theme: defaultTheme,
};
export var Loader = styled(function (_a) {
    var children = _a.children, inverted = _a.inverted, active = _a.active, className = _a.className, inline = _a.inline;
    if (inline) {
        return (React.createElement("div", { className: className }, active && React.createElement(Spinner, { inverted: inverted })));
    }
    return (React.createElement(Dimmer, { className: className, active: active, inverted: inverted },
        active && React.createElement(Spinner, { inverted: inverted }),
        children && React.createElement("div", { className: "content" }, children)));
}).withConfig({ displayName: "Loader", componentId: "sc-13amnan" })(templateObject_4 || (templateObject_4 = __makeTemplateObject(["\n  display: flex;\n  flex-flow: column nowrap;\n  justify-content: center;\n  align-items: center;\n  text-align: center;\n\n  ", "\n\n  color: ", ";\n"], ["\n  display: flex;\n  flex-flow: column nowrap;\n  justify-content: center;\n  align-items: center;\n  text-align: center;\n\n  ",
    "\n\n  color: ",
    ";\n"])), function (_a) {
    var inline = _a.inline;
    return inline && css(templateObject_3 || (templateObject_3 = __makeTemplateObject(["\n      ", " {\n        display: inline-block;\n        width: 1em;\n        height: 1em;\n        font-size: 1.5em;\n\n        &:after,\n        &:before {\n          border-width: 0.1em;\n        }\n      }\n    "], ["\n      ", " {\n        display: inline-block;\n        width: 1em;\n        height: 1em;\n        font-size: 1.5em;\n\n        &:after,\n        &:before {\n          border-width: 0.1em;\n        }\n      }\n    "])), Spinner);
}, function (_a) {
    var theme = _a.theme, inverted = _a.inverted;
    return theme.colors[inverted ? 'white' : 'primaryText'].default;
});
Loader.defaultProps = {
    theme: defaultTheme,
};
var templateObject_1, templateObject_2, templateObject_3, templateObject_4;
